Index: branches/eli_branch/lib/ACL.inc.php
===================================================================
--- branches/eli_branch/lib/ACL.inc.php	(revision 438)
+++ branches/eli_branch/lib/ACL.inc.php	(revision 439)
@@ -40,5 +40,5 @@
 
     // Configuration parameters for this object.
-    var $_params = array(
+    private $_params = array(
         
         // If false nothing will be cached or retrieved. Useful for testing realtime data requests.
@@ -52,5 +52,5 @@
      * Constructor.
      */
-    function ACL()
+    public function __construct()
     {
 		$app =& App::getInstance();
@@ -73,5 +73,5 @@
      * @static
      */
-    static function &getInstance()
+    public static function &getInstance()
     {
         static $instance = null;
@@ -91,5 +91,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -110,5 +110,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -129,5 +129,5 @@
      * @since   04 Jun 2006 16:41:42
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -224,5 +224,5 @@
     * @since    14 Jun 2006 22:39:29
     */
-    function add($name, $parent=null, $type)
+    public function add($name, $parent=null, $type)
     {
         $app =& App::getInstance();
@@ -287,13 +287,13 @@
 
     // Alias functions for the different object types.
-    function addRequestObject($name, $parent=null)
+    public function addRequestObject($name, $parent=null)
     {
         return $this->add($name, $parent, 'aro');
     }
-    function addControlObject($name, $parent=null)
+    public function addControlObject($name, $parent=null)
     {
         return $this->add($name, $parent, 'aco');
     }
-    function addXtraObject($name, $parent=null)
+    public function addXtraObject($name, $parent=null)
     {
         return $this->add($name, $parent, 'axo');
@@ -311,5 +311,5 @@
     * @since    14 Jun 2006 22:39:29
     */
-    function remove($name, $type)
+    public function remove($name, $type)
     {
         $app =& App::getInstance();
@@ -368,13 +368,13 @@
     
     // Alias functions for the different object types.
-    function removeRequestObject($name)
+    public function removeRequestObject($name)
     {
         return $this->remove($name, 'aro');
     }
-    function removeControlObject($name)
+    public function removeControlObject($name)
     {
         return $this->remove($name, 'aco');
     }
-    function removeXtraObject($name)
+    public function removeXtraObject($name)
     {
         return $this->remove($name, 'axo');
@@ -393,5 +393,5 @@
     * @since    14 Jun 2006 22:39:29
     */
-    function move($name, $new_parent, $type)
+    public function move($name, $new_parent, $type)
     {
         $app =& App::getInstance();
@@ -490,13 +490,13 @@
     
     // Alias functions for the different object types.
-    function moveRequestObject($name, $new_parent=null)
+    public function moveRequestObject($name, $new_parent=null)
     {
         return $this->move($name, $new_parent, 'aro');
     }
-    function moveControlObject($name, $new_parent=null)
+    public function moveControlObject($name, $new_parent=null)
     {
         return $this->move($name, $new_parent, 'aco');
     }
-    function moveXtraObject($name, $new_parent=null)
+    public function moveXtraObject($name, $new_parent=null)
     {
         return $this->move($name, $new_parent, 'axo');
@@ -516,5 +516,5 @@
     * @since    15 Jun 2006 01:58:48
     */
-    function grant($aro=null, $aco=null, $axo=null, $access='allow')
+    public function grant($aro=null, $aco=null, $axo=null, $access='allow')
     {
         $app =& App::getInstance();
@@ -573,5 +573,5 @@
     * @since    15 Jun 2006 04:35:54
     */
-    function revoke($aro=null, $aco=null, $axo=null)
+    public function revoke($aro=null, $aco=null, $axo=null)
     {
         return $this->grant($aro, $aco, $axo, 'deny');
@@ -591,5 +591,5 @@
     * @since    20 Jun 2006 20:16:12
     */
-    function delete($aro=null, $aco=null, $axo=null)
+    public function delete($aro=null, $aco=null, $axo=null)
     {
         $app =& App::getInstance();
@@ -650,5 +650,5 @@
     * @since    15 Jun 2006 03:58:23
     */
-    function check($aro, $aco=null, $axo=null)
+    public function check($aro, $aco=null, $axo=null)
     {
         $app =& App::getInstance();
Index: branches/eli_branch/lib/App.inc.php
===================================================================
--- branches/eli_branch/lib/App.inc.php	(revision 438)
+++ branches/eli_branch/lib/App.inc.php	(revision 439)
@@ -43,20 +43,20 @@
 
     // Namespace of this application instance.
-    var $_ns;
+    private $_ns;
 
     // If $app->start has run successfully.
-    var $running = false;
+    public $running = false;
 
     // Instance of database object.
-    var $db;
+    public $db;
 
     // Array of query arguments will be carried persistently between requests.
-    var $_carry_queries = array();
+    private $_carry_queries = array();
 
     // Dictionary of global application parameters.
-    var $_params = array();
+    private $_params = array();
 
     // Default parameters.
-    var $_param_defaults = array(
+    private $_param_defaults = array(
 
         // Public name and email address for this application.
@@ -169,5 +169,5 @@
      * @static
      */
-    static function &getInstance($namespace='')
+    public static function &getInstance($namespace='')
     {
         static $instance = null;
@@ -183,5 +183,5 @@
      * Constructor.
      */
-    function App($namespace='')
+    public function __construct($namespace='')
     {
         // Set namespace of application instance.
@@ -203,5 +203,5 @@
      * @param  array    $param     Array of parameters (key => val pairs).
      */
-    function setParam($param=null)
+    public function setParam($param=null)
     {
         if (isset($param) && is_array($param)) {
@@ -218,5 +218,5 @@
      * @return  mixed               Parameter value, or null if not existing.
      */
-    function getParam($param=null)
+    public function getParam($param=null)
     {
         if ($param === null) {
@@ -237,5 +237,5 @@
      * @since   15 Jul 2005 00:32:21
      */
-    function start()
+    public function start()
     {
         if ($this->running) {
@@ -394,5 +394,5 @@
      * @since   17 Jul 2005 17:20:18
      */
-    function stop()
+    public function stop()
     {
         session_write_close();
@@ -421,5 +421,5 @@
      * @param string $line    __LINE__.
      */
-    function raiseMsg($message, $type=MSG_NOTICE, $file=null, $line=null)
+    public function raiseMsg($message, $type=MSG_NOTICE, $file=null, $line=null)
     {
         $message = trim($message);
@@ -463,5 +463,5 @@
      * @since   21 Dec 2005 13:09:20
      */
-    function getRaisedMessages()
+    public function getRaisedMessages()
     {
         if (!$this->running) {
@@ -480,5 +480,5 @@
      * @since   21 Dec 2005 13:21:54
      */
-    function clearRaisedMessages()
+    public function clearRaisedMessages()
     {
         if (!$this->running) {
@@ -501,5 +501,5 @@
      * @since   15 Jul 2005 01:39:14
      */
-    function printRaisedMessages($above='', $below='', $print_gotohash_js=false, $hash='sc-msg')
+    public function printRaisedMessages($above='', $below='', $print_gotohash_js=false, $hash='sc-msg')
     {
         if (!$this->running) {
@@ -574,5 +574,5 @@
      * @param string $line      The line of the file where the log event occurs.
      */
-    function logMsg($message, $priority=LOG_INFO, $file=null, $line=null)
+    public function logMsg($message, $priority=LOG_INFO, $file=null, $line=null)
     {
         static $previous_events = array();
@@ -704,5 +704,5 @@
      * @return                The string representation of $priority.
      */
-    function logPriorityToString($priority) {
+    public function logPriorityToString($priority) {
         $priorities = array(
             LOG_EMERG   => 'emergency',
@@ -733,5 +733,5 @@
      * @since   13 Oct 2007 11:34:51
      */
-    function setQuery($query_key, $val)
+    public function setQuery($query_key, $val)
     {
         if (!is_array($query_key)) {
@@ -755,5 +755,5 @@
      * @since   14 Nov 2005 19:24:52
      */
-    function carryQuery($query_key, $default=false)
+    public function carryQuery($query_key, $default=false)
     {
         if (!is_array($query_key)) {
@@ -780,5 +780,5 @@
      * @since   18 Jun 2007 20:57:29
      */
-    function dropQuery($query_key, $unset=false)
+    public function dropQuery($query_key, $unset=false)
     {
         if (!is_array($query_key)) {
@@ -816,5 +816,5 @@
      * @return string url with attached queries and, if not using cookies, the session id
      */
-    function url($url, $carry_args=null, $always_include_sid=false)
+    public function url($url, $carry_args=null, $always_include_sid=false)
     {
         if (!$this->running) {
@@ -907,5 +907,5 @@
      * @since   09 Dec 2005 17:58:45
      */
-    function oHREF($url, $carry_args=null, $always_include_sid=false)
+    public function oHREF($url, $carry_args=null, $always_include_sid=false)
     {
         $url = $this->url($url, $carry_args, $always_include_sid);
@@ -927,5 +927,5 @@
      *                                      false  <-- To not carry any queries. If URL already has queries those will be retained.
      */
-    function printHiddenSession($carry_args=null)
+    public function printHiddenSession($carry_args=null)
     {
         if (!$this->running) {
@@ -986,5 +986,5 @@
      * @param   bool    $always_include_sid     Force session id to be added to Location header.
      */
-    function dieURL($url, $carry_args=null, $always_include_sid=false)
+    public function dieURL($url, $carry_args=null, $always_include_sid=false)
     {
         if (!$this->running) {
@@ -1033,5 +1033,5 @@
     * @since    31 Mar 2006 19:17:00
     */
-    function dieBoomerangURL($id=null, $carry_args=null, $default_url=null, $queryless_referrer_comparison=false)
+    public function dieBoomerangURL($id=null, $carry_args=null, $default_url=null, $queryless_referrer_comparison=false)
     {
         if (!$this->running) {
@@ -1076,5 +1076,5 @@
      * FIXME: url garbage collection?
      */
-    function setBoomerangURL($url=null, $id=null)
+    public function setBoomerangURL($url=null, $id=null)
     {
         if (!$this->running) {
@@ -1115,5 +1115,5 @@
      * @param string  $id     An identification tag for this url.
      */
-    function getBoomerangURL($id=null)
+    public function getBoomerangURL($id=null)
     {
         if (!$this->running) {
@@ -1140,5 +1140,5 @@
      * @param string  $id     An identification tag for this url.
      */
-    function deleteBoomerangURL($id=null)
+    public function deleteBoomerangURL($id=null)
     {
         if (!$this->running) {
@@ -1162,5 +1162,5 @@
      * @return bool  True if it is set and valid, false otherwise.
      */
-    function validBoomerangURL($id=null, $use_nonspecificboomerang=false)
+    public function validBoomerangURL($id=null, $use_nonspecificboomerang=false)
     {
         if (!$this->running) {
@@ -1212,5 +1212,5 @@
      * the same page but with https.
      */
-    function sslOn()
+    public function sslOn()
     {
         if (function_exists('apache_get_modules')) {
@@ -1233,5 +1233,5 @@
      * a http version of the current url.
      */
-    function sslOff()
+    public function sslOff()
     {
         if ('' != getenv('HTTPS')) {
@@ -1242,4 +1242,2 @@
 
 } // End.
-
-?>
Index: branches/eli_branch/lib/Auth_File.inc.php
===================================================================
--- branches/eli_branch/lib/Auth_File.inc.php	(revision 438)
+++ branches/eli_branch/lib/Auth_File.inc.php	(revision 439)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -30,5 +30,5 @@
  * @version 1.2
  */
- 
+
 // Usage example:
 // $auth = new Auth_File();
@@ -47,35 +47,34 @@
 
 class Auth_File {
-    
+
     // Namespace of this auth object.
-    var $_ns;
-    
+    private $_ns;
+
     // Parameters to be specified by setParam().
-    var $_params = array();
-    var $_default_params = array(
-        
-        // Full path to htpasswd file.
-        'htpasswd_file' => null,
-
-        // The type of encryption to use for passwords stored in the db_table. Use one of the AUTH_ENCRYPT_* types specified above.
-        'encryption_type' => AUTH_ENCRYPT_CRYPT,
-
-        // The URL to the login script.
-        'login_url' => '/',
-
-        // The maximum amount of time a user is allowed to be logged in. They will be forced to login again if they expire.
-        // This applies to admins and users. In seconds. 21600 seconds = 6 hours.
-        'login_timeout' => 21600,
-
-        // The maximum amount of time a user is allowed to be idle before their session expires. They will be forced to login again if they expire.
-        // This applies to admins and users. In seconds. 3600 seconds = 1 hour.
-        'idle_timeout' => 3600,
-
-        // An array of IP blocks that are bypass the remote_ip comparison check. Useful for dynamic IPs or those behind proxy servers.
-        'trusted_networks' => array(),
-    );
+    private $_params = array();
+    private $_default_params = array(
+
+    // Full path to htpasswd file.
+    'htpasswd_file' => null,
+
+    // The type of encryption to use for passwords stored in the db_table. Use one of the AUTH_ENCRYPT_* types specified above.
+    'encryption_type' => AUTH_ENCRYPT_CRYPT,
+
+    // The URL to the login script.
+    'login_url' => '/',
+
+    // The maximum amount of time a user is allowed to be logged in. They will be forced to login again if they expire.
+    // This applies to admins and users. In seconds. 21600 seconds = 6 hours.
+    'login_timeout' => 21600,
+
+    // The maximum amount of time a user is allowed to be idle before their session expires. They will be forced to login again if they expire.
+    // This applies to admins and users. In seconds. 3600 seconds = 1 hour.
+    'idle_timeout' => 3600,
+
+    // An array of IP blocks that are bypass the remote_ip comparison check. Useful for dynamic IPs or those behind proxy servers.
+    'trusted_networks' => array(), );
 
     // Associative array of usernames to hashed passwords.
-    var $_users = array();
+    private $_users = array();
 
     /**
@@ -86,10 +85,9 @@
      * @param optional array $params  A hash containing parameters.
      */
-    function Auth_File($namespace='')
-    {
-        $this->_ns = $namespace;
+    public function __construct($namespace = '') {
+        $this -> _ns = $namespace;
 
         // Initialize default parameters.
-        $this->setParam($this->_default_params);
+        $this -> setParam($this -> _default_params);
     }
 
@@ -100,9 +98,8 @@
      * @return bool true on success, false on failure
      */
-    function setParam($params)
-    {
+    public function setParam($params) {
         if (isset($params) && is_array($params)) {
             // Merge new parameters with old overriding only those passed.
-            $this->_params = array_merge($this->_params, $params);
+            $this -> _params = array_merge($this -> _params, $params);
         }
     }
@@ -115,12 +112,11 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
-    {
-		$app =& App::getInstance();
-    
-        if (isset($this->_params[$param])) {
-            return $this->_params[$param];
+    public function getParam($param) {
+        $app = &App::getInstance();
+
+        if (isset($this -> _params[$param])) {
+            return $this -> _params[$param];
         } else {
-            $app->logMsg(sprintf('Parameter is not set: %s', $param), LOG_DEBUG, __FILE__, __LINE__);
+            $app -> logMsg(sprintf('Parameter is not set: %s', $param), LOG_DEBUG, __FILE__, __LINE__);
             return null;
         }
@@ -132,9 +128,7 @@
      * @access public
      */
-    function clear()
-    {
-        $_SESSION['_auth_file'][$this->_ns] = array('authenticated' => false);
-    }
-
+    public function clear() {
+        $_SESSION['_auth_file'][$this -> _ns] = array('authenticated' => false);
+    }
 
     /**
@@ -145,10 +139,9 @@
      * @param mixed $val      Value to set variable to.
      */
-    function set($key, $val)
-    {
-        if (!isset($_SESSION['_auth_file'][$this->_ns]['user_data'])) {
-            $_SESSION['_auth_file'][$this->_ns]['user_data'] = array();
-        }
-        $_SESSION['_auth_file'][$this->_ns]['user_data'][$key] = $val;
+    public function set($key, $val) {
+        if (!isset($_SESSION['_auth_file'][$this -> _ns]['user_data'])) {
+            $_SESSION['_auth_file'][$this -> _ns]['user_data'] = array();
+        }
+        $_SESSION['_auth_file'][$this -> _ns]['user_data'][$key] = $val;
     }
 
@@ -161,14 +154,14 @@
      * @return mixed          Value stored in session.
      */
-    function get($key, $default='')
-    {
-        if (isset($_SESSION['_auth_file'][$this->_ns][$key])) {
-            return $_SESSION['_auth_file'][$this->_ns][$key];
-        } else if (isset($_SESSION['_auth_file'][$this->_ns]['user_data'][$key])) {
-            return $_SESSION['_auth_file'][$this->_ns]['user_data'][$key];
+    public function get($key, $default = '') {
+        if (isset($_SESSION['_auth_file'][$this -> _ns][$key])) {
+            return $_SESSION['_auth_file'][$this -> _ns][$key];
+        } else if (isset($_SESSION['_auth_file'][$this -> _ns]['user_data'][$key])) {
+            return $_SESSION['_auth_file'][$this -> _ns]['user_data'][$key];
         } else {
             return $default;
         }
     }
+
     /**
      * Find out if a set of login credentials are valid. Only supports
@@ -182,26 +175,25 @@
      * @return boolean  Whether or not the credentials are valid.
      */
-    function authenticate($username, $password)
-    {
-		$app =& App::getInstance();
-    
+    public function authenticate($username, $password) {
+        $app = &App::getInstance();
+
         if ('' == trim($password)) {
-            $app->logMsg(_("No password provided for authentication."), LOG_INFO, __FILE__, __LINE__);
-            return false;
-        }
-        
+            $app -> logMsg(_("No password provided for authentication."), LOG_INFO, __FILE__, __LINE__);
+            return false;
+        }
+
         // Load users file.
-        $this->_loadHTPasswdFile();
-
-        if (!isset($this->_users[$username])) {
-            $app->logMsg(_("User ID provided does not exist."), LOG_INFO, __FILE__, __LINE__);
-            return false;
-        }
-
-        if ($this->_encrypt($password, $this->_users[$username]) != $this->_users[$username]) {
-            $app->logMsg(sprintf('Authentication failed for user %s', $username), LOG_INFO, __FILE__, __LINE__);
-            return false;
-        }
-        
+        $this -> _loadHTPasswdFile();
+
+        if (!isset($this -> _users[$username])) {
+            $app -> logMsg(_("User ID provided does not exist."), LOG_INFO, __FILE__, __LINE__);
+            return false;
+        }
+
+        if ($this -> _encrypt($password, $this -> _users[$username]) != $this -> _users[$username]) {
+            $app -> logMsg(sprintf('Authentication failed for user %s', $username), LOG_INFO, __FILE__, __LINE__);
+            return false;
+        }
+
         // Authentication successful!
         return true;
@@ -218,22 +210,15 @@
      * @return boolean  Whether or not the credentials are valid.
      */
-    function login($username, $password)
-    {
+    public function login($username, $password) {
         $username = mb_strtolower(trim($username));
 
-        $this->clear();
-
-        if (!$this->authenticate($username, $password)) {
+        $this -> clear();
+
+        if (!$this -> authenticate($username, $password)) {
             // No login: failed authentication!
             return false;
         }
-        
-        $_SESSION['_auth_file'][$this->_ns] = array(
-            'authenticated' => true,
-            'username' => $username,
-            'login_datetime' => date('Y-m-d H:i:s'),
-            'last_access_datetime' => date('Y-m-d H:i:s'),
-            'remote_ip' => getRemoteAddr()
-        );
+
+        $_SESSION['_auth_file'][$this -> _ns] = array('authenticated' => true, 'username' => $username, 'login_datetime' => date('Y-m-d H:i:s'), 'last_access_datetime' => date('Y-m-d H:i:s'), 'remote_ip' => getRemoteAddr());
 
         // We're logged-in!
@@ -251,15 +236,14 @@
      * @access public
      */
-    function isLoggedIn()
-    {
-		$app =& App::getInstance();
-    
+    public function isLoggedIn() {
+        $app = &App::getInstance();
+
         // Some users will access from networks with a changing IP number (i.e. behind a proxy server). These users must be allowed entry by adding their IP to the list of trusted_networks.
-        if ($trusted_net = ipInRange(getRemoteAddr(), $this->_params['trusted_networks'])) {
+        if ($trusted_net = ipInRange(getRemoteAddr(), $this -> _params['trusted_networks'])) {
             $user_in_trusted_network = true;
-            $app->logMsg(sprintf('User %s accessing from trusted network %s', $_SESSION['_auth_file'][$this->_ns]['username'], $trusted_net), LOG_DEBUG, __FILE__, __LINE__);
+            $app -> logMsg(sprintf('User %s accessing from trusted network %s', $_SESSION['_auth_file'][$this -> _ns]['username'], $trusted_net), LOG_DEBUG, __FILE__, __LINE__);
         } else if (preg_match('/proxy.aol.com$/i', getRemoteAddr(true))) {
             $user_in_trusted_network = true;
-            $app->logMsg(sprintf('User %s accessing from trusted network proxy.aol.com', $_SESSION['_auth_file'][$this->_ns]['username']), LOG_DEBUG, __FILE__, __LINE__);
+            $app -> logMsg(sprintf('User %s accessing from trusted network proxy.aol.com', $_SESSION['_auth_file'][$this -> _ns]['username']), LOG_DEBUG, __FILE__, __LINE__);
         } else {
             $user_in_trusted_network = false;
@@ -267,35 +251,29 @@
 
         // Test login with information stored in session. Skip IP matching for users from trusted networks.
-        if (isset($_SESSION['_auth_file'][$this->_ns])
-            && true === $_SESSION['_auth_file'][$this->_ns]['authenticated']
-            && !empty($_SESSION['_auth_file'][$this->_ns]['username'])
-            && strtotime($_SESSION['_auth_file'][$this->_ns]['login_datetime']) > time() - $this->_params['login_timeout']
-            && strtotime($_SESSION['_auth_file'][$this->_ns]['last_access_datetime']) > time() - $this->_params['idle_timeout']
-            && ($_SESSION['_auth_file'][$this->_ns]['remote_ip'] == getRemoteAddr() || $user_in_trusted_network)
-        ) {
+        if (isset($_SESSION['_auth_file'][$this -> _ns]) && true === $_SESSION['_auth_file'][$this -> _ns]['authenticated'] && !empty($_SESSION['_auth_file'][$this -> _ns]['username']) && strtotime($_SESSION['_auth_file'][$this -> _ns]['login_datetime']) > time() - $this -> _params['login_timeout'] && strtotime($_SESSION['_auth_file'][$this -> _ns]['last_access_datetime']) > time() - $this -> _params['idle_timeout'] && ($_SESSION['_auth_file'][$this -> _ns]['remote_ip'] == getRemoteAddr() || $user_in_trusted_network)) {
             // User is authenticated!
-            $_SESSION['_auth_file'][$this->_ns]['last_access_datetime'] = date('Y-m-d H:i:s');
+            $_SESSION['_auth_file'][$this -> _ns]['last_access_datetime'] = date('Y-m-d H:i:s');
             return true;
-        } else if (isset($_SESSION['_auth_file'][$this->_ns]) && true === $_SESSION['_auth_file'][$this->_ns]['authenticated']) {
-            if (strtotime($_SESSION['_auth_file'][$this->_ns]['last_access_datetime']) > time() - 43200) {
+        } else if (isset($_SESSION['_auth_file'][$this -> _ns]) && true === $_SESSION['_auth_file'][$this -> _ns]['authenticated']) {
+            if (strtotime($_SESSION['_auth_file'][$this -> _ns]['last_access_datetime']) > time() - 43200) {
                 // Only raise message if last session is less than 12 hours old.
-                $app->raiseMsg(_("Your session has closed. You need to log-in again."), MSG_NOTICE, __FILE__, __LINE__);
+                $app -> raiseMsg(_("Your session has closed. You need to log-in again."), MSG_NOTICE, __FILE__, __LINE__);
             }
 
             // Log the reason for login expiration.
             $expire_reasons = array();
-            if (empty($_SESSION['_auth_file'][$this->_ns]['username'])) {
+            if (empty($_SESSION['_auth_file'][$this -> _ns]['username'])) {
                 $expire_reasons[] = 'username not found';
             }
-            if (strtotime($_SESSION['_auth_file'][$this->_ns]['login_datetime']) <= time() - $this->_params['login_timeout']) {
+            if (strtotime($_SESSION['_auth_file'][$this -> _ns]['login_datetime']) <= time() - $this -> _params['login_timeout']) {
                 $expire_reasons[] = 'login_timeout expired';
             }
-            if (strtotime($_SESSION['_auth_file'][$this->_ns]['last_access_datetime']) <= time() - $this->_params['idle_timeout']) {
+            if (strtotime($_SESSION['_auth_file'][$this -> _ns]['last_access_datetime']) <= time() - $this -> _params['idle_timeout']) {
                 $expire_reasons[] = 'idle_timeout expired';
             }
-            if ($_SESSION['_auth_file'][$this->_ns]['remote_ip'] != getRemoteAddr() && !$user_in_trusted_network) {
-                $expire_reasons[] = sprintf('remote_ip not matched (%s != %s)', $_SESSION['_auth_file'][$this->_ns]['remote_ip'], getRemoteAddr());
-            }
-            $app->logMsg(sprintf('User %s session expired: %s', $_SESSION['_auth_file'][$this->_ns]['username'], join(', ', $expire_reasons)), LOG_INFO, __FILE__, __LINE__);
+            if ($_SESSION['_auth_file'][$this -> _ns]['remote_ip'] != getRemoteAddr() && !$user_in_trusted_network) {
+                $expire_reasons[] = sprintf('remote_ip not matched (%s != %s)', $_SESSION['_auth_file'][$this -> _ns]['remote_ip'], getRemoteAddr());
+            }
+            $app -> logMsg(sprintf('User %s session expired: %s', $_SESSION['_auth_file'][$this -> _ns]['username'], join(', ', $expire_reasons)), LOG_INFO, __FILE__, __LINE__);
         }
 
@@ -313,18 +291,17 @@
      * @access public
      */
-    function requireLogin($message='', $type=MSG_NOTICE, $file=null, $line=null)
-    {
-		$app =& App::getInstance();
-    
-        if (!$this->isLoggedIn()) {
+    public function requireLogin($message = '', $type = MSG_NOTICE, $file = null, $line = null) {
+        $app = &App::getInstance();
+
+        if (!$this -> isLoggedIn()) {
             // Display message for requiring login. (RaiseMsg will ignore empty strings.)
-            $app->raiseMsg($message, $type, $file, $line);
+            $app -> raiseMsg($message, $type, $file, $line);
 
             // Login scripts must have the same 'login' tag for boomerangURL verification/manipulation.
-            $app->setBoomerangURL(absoluteMe(), 'login');
-            $app->dieURL($this->_params['login_url']);
-        }
-    }
-    
+            $app -> setBoomerangURL(absoluteMe(), 'login');
+            $app -> dieURL($this -> _params['login_url']);
+        }
+    }
+
     /**
      * Wrapper function for compatibility with lib/Lock.inc.php.
@@ -333,6 +310,5 @@
      * @return string               Username, or false if none found.
      */
-    function getUsername($username)
-    {
+    public function getUsername($username) {
         if ('' != $username) {
             return $username;
@@ -343,26 +319,25 @@
 
     /*
-    * Reads the configured htpasswd file into the _users array.
-    *
-    * @access   public
-    * @return   false on error, true on success.
-    * @author   Quinn Comendant <quinn@strangecode.com>
-    * @version  1.0
-    * @since    18 Apr 2006 18:17:48
-    */
-    function _loadHTPasswdFile()
-    {
-		$app =& App::getInstance();
-    
+     * Reads the configured htpasswd file into the _users array.
+     *
+     * @access   public
+     * @return   false on error, true on success.
+     * @author   Quinn Comendant <quinn@strangecode.com>
+     * @version  1.0
+     * @since    18 Apr 2006 18:17:48
+     */
+    private function _loadHTPasswdFile() {
+        $app = &App::getInstance();
+
         static $users = null;
-        
-        if (!file_exists($this->_params['htpasswd_file'])) {
-            $app->logMsg(sprintf('htpasswd file missing or not specified: %s', $this->_params['htpasswd_file']), LOG_ERR, __FILE__, __LINE__);
-            return false;
-        }
-        
+
+        if (!file_exists($this -> _params['htpasswd_file'])) {
+            $app -> logMsg(sprintf('htpasswd file missing or not specified: %s', $this -> _params['htpasswd_file']), LOG_ERR, __FILE__, __LINE__);
+            return false;
+        }
+
         if (!isset($users)) {
-            if (false === ($users = file($this->_params['htpasswd_file']))) {
-                $app->logMsg(sprintf('Could not read htpasswd file: %s', $this->_params['htpasswd_file']), LOG_ERR, __FILE__, __LINE__);
+            if (false === ($users = file($this -> _params['htpasswd_file']))) {
+                $app -> logMsg(sprintf('Could not read htpasswd file: %s', $this -> _params['htpasswd_file']), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -372,5 +347,5 @@
             foreach ($users as $u) {
                 list($user, $pass) = explode(':', $u, 2);
-                $this->_users[trim($user)] = trim($pass);
+                $this -> _users[trim($user)] = trim($pass);
             }
             return true;
@@ -388,26 +363,24 @@
      * @return string  The hashed password.
      */
-    function _encrypt($password, $encrypted_password=null)
-    {
+    private function _encrypt($password, $encrypted_password = null) {
         switch ($this->_params['encryption_type']) {
-        case AUTH_ENCRYPT_PLAINTEXT :
-            return $password;
-            break;
-
-        case AUTH_ENCRYPT_SHA1 :
-            return sha1($password);
-            break;
-
-        case AUTH_ENCRYPT_MD5 :
-            return md5($password);
-            break;
-
-        case AUTH_ENCRYPT_CRYPT :
-        default :
-            return crypt($password, $encrypted_password);
-            break;
+            case AUTH_ENCRYPT_PLAINTEXT :
+                return $password;
+                break;
+
+            case AUTH_ENCRYPT_SHA1 :
+                return sha1($password);
+                break;
+
+            case AUTH_ENCRYPT_MD5 :
+                return md5($password);
+                break;
+
+            case AUTH_ENCRYPT_CRYPT :
+            default :
+                return crypt($password, $encrypted_password);
+                break;
         }
     }
 
 } // end class
-?>
